<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";

let data=null;
onMount(async () => {
data = await json('/data/gapminder.json');
});
$: present=[0,"all"];
$: year=present[0];
$: continent=present[1];
$: extractData=function(element){
  if(continent=="all"){return element[year].countries}
  else{
    return element[year].countries.filter(d=>d.continent==continent)
   }
};
//updated
</script>




{#if !data } 
<p>Loading...</p>
{:else}
<div class="row" >
<Scatterplot data={extractData(data)} />
<Controls bind:present={present} />
</div>
{/if}
